{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ADR_NOM; 
            externalType = VARCHAR2; 
            name = adrNom; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_PRENOM; 
            externalType = VARCHAR2; 
            name = adrPrenom; 
            valueClassName = NSString; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = ETUD_NOM_MARITAL; 
            externalType = VARCHAR2; 
            name = etudNomMarital; 
            valueClassName = NSString; 
            width = 50; 
        }, 
        {
            columnName = ETUD_NUMERO; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = LIBELLE; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = RESULTAT; 
            externalType = VARCHAR2; 
            name = resultat; 
            valueClassName = NSString; 
            width = 10; 
        }
    ); 
    attributesUsedForLocking = (fannKey, etudNumero, libelle); 
    className = EOGenericRecord; 
    classProperties = (fannKey, etudNumero, adrNom, adrPrenom, etudNomMarital, libelle, resultat); 
    externalName = V_SCOL_DAEU_AS_IEC_RESULTAT; 
    fetchSpecificationDictionary = {}; 
    name = VScolDaeuAsIecResultat; 
    primaryKeyAttributes = (fannKey, libelle, etudNumero); 
}
